Marketpress Front End isn't compatible with WP version

I purchased Marketpress Front End for my multi site and two developers have told me it isn't compatible with my wordpress version. One developer attempted other wordpress versions and it won't work. Am I missing something? Is there something else that must be added with Front End? Please help!!! Thanks!!!